## panko 3.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

debtcollector>=1.2.0  # Apache-2.0
tenacity>=3.1.0 # Apache-2.0
keystonemiddleware!=4.1.0,>=4.0.0 # Apache-2.0
lxml>=2.3 # BSD
oslo.db>=4.1.0 # Apache-2.0
oslo.config>=3.9.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.policy>=0.5.0 # Apache-2.0
oslo.reports>=0.6.0 # Apache-2.0
Paste
PasteDeploy>=1.5.0 # MIT
pbr>=2.0.0 # Apache-2.0
pecan>=1.0.0 # BSD
oslo.middleware>=3.10.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
PyYAML>=3.1.0 # MIT
six>=1.9.0 # MIT
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
stevedore>=1.9.0 # Apache-2.0
WebOb>=1.2.3 # MIT
WSME>=0.8 # MIT
# NOTE(jd) We do not import it directly, but WSME datetime string parsing
# behaviour changes when this library is installed
python-dateutil>=2.4.2 # BSD

## panko 2.0.1

=== debian/changelog ===
panko (2.0.1-0ubuntu1~cloud0) xenial-ocata; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 03 Mar 2017 14:58:00 +0000

panko (2.0.1-0ubuntu1) zesty; urgency=medium

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 03 Mar 2017 08:59:31 -0500

panko (2.0.0-0ubuntu1) zesty; urgency=medium

  * debian/watch: Add missing watch file. 
  * New upstream release. 
  * d/control: Adjust dependencies.
  * d/control, d/tests: Add autopkgtest
  * d/rules, d/aodh-common.postinst: Configure database so 
    daemons start when installing panko.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 09 Feb 2017 12:58:26 -0500

panko (1.0.0-0ubuntu2) zesty; urgency=medium

  [ Chuck Short ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ Corey Bryant ]
  * d/control: Fix typos for python-debtcollector and python-oslo.reports.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 01 Feb 2017 13:03:43 -0500

panko (1.0.0-0ubuntu1) zesty; urgency=medium

  * Initial release.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 11 Jan 2017 13:07:19 -0500

=== debian/control ===
Source: panko
Section: python
Priority: optional
Maintainer: Chuck Short <zuclss@ubuntu.com>
Build-Depends: debhelper (>= 9), dh-python, python-all, python-setuptools, python-all, python-pbr,
 dh-systemd, dh-apache2, openstack-pkg-tools,
Build-Depends-Indep: python-coverage (>= 3.6),
                     python-dateutil (>= 2.4.2),
                     python-debtcollector (>= 1.2.0),
                     python-elasticsearch (>= 1.3.0),
                     python-fixtures (>= 1.3.1),
                     python-gabbi (>= 1.11.0),
                     python-happybase (>= 0.5),
                     python-keystonemiddleware (>= 4.0.0),
                     python-lxml (>= 2.3),
                     python-mock (>= 1.2),
                     python-os-testr (>= 0.4.1),
                     python-oslo.config (>= 1:3.9.0),
                     python-oslo.db (>= 4.1.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 1.14.0),
                     python-oslo.middleware (>= 3.10.0),
                     python-oslo.policy (>= 0.5.0),
                     python-oslo.reports (>= 0.6.0),
                     python-oslo.utils (>= 3.5.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-pastedeploy (>= 1.5.0),
                     python-pecan (>= 1.0.0),
                     python-psycopg2 (>= 2.5),
                     python-pymongo (>= 3.0.2),
                     python-pymysql (>= 0.6.2),
                     python-six (>= 1.9.0),
                     python-sphinx (>= 1.1.2),
                     python-sphinxcontrib-pecanwsme (>= 0.8),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.9.0),
                     python-tempest (>= 1:11.0.0),
                     python-tenacity (>= 3.1.0),
                     python-testrepository (>= 0.0.18),
                     python-testtools (>= 1.4.0),
                     python-webob (>= 1.2.3),
                     python-webtest (>= 2.0),
                     python-wsme (>= 0.8),
                     python-yaml (>= 3.1.0),
Standards-Version: 3.9.8
Homepage: https://launchpad.net/panko
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
XS-Testsuite: autopkgtest

Package: python-panko
Architecture: all
Depends: python-dateutil,
         python-debtcollector (>= 1.2.0),
         python-keystonemiddleware (>= 4.0.0),
         python-lxml (>= 2.3),
         python-oslo.config (>= 1:3.9.0),
         python-oslo.db (>= 4.1.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 1.14.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 0.5.0),
         python-oslo.reports (>= 0.6.0),
         python-oslo.utils (>= 3.5.0),
         python-pastedeploy (>= 1.5.0),
         python-pecan (>= 1.0.0),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.9.0),
         python-tenacity (>= 3.1.0),
         python-webob (>= 1.2.3),
         python-wsme (>= 0.8),
         python-yaml (>= 3.1.0),
         ${misc:Depends},
         ${python:Depends}
Suggests: python-panko-doc
Description: Event storage dispatcher for Ceilometer (Python 2)
 Event storage dispatcher for Ceilometer. 
 .
 This package installs the library for Python 2.7

Package: panko-api
Architecture: all
Depends: apache2 | httpd,
         libapache2-mod-wsgi,
         panko-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends}
Description: Event storage dispatcher for Ceilometer (Python 2)
 Event storage dispatcher for Ceilometer. 
 .
 This package container the api service

Package: python-panko-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Event storage dispatcher for Ceilometer. (common documentation)
 Event storage dispatcher for Ceilometer
 .
 This is the common documentation package.

Package: panko-common
Architecture: all
Depends: adduser,
         python-panko (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends}
Provides: ${python:Provides},
Description: panko common files
 Event storage dispatcher for Ceilometer.
 .
 This package contains files that are needed for all parts of ceilometer

## panko 3.0.0

=== debian/changelog ===
panko (3.0.0-0ubuntu2~cloud0) xenial-pike; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 29 Aug 2017 18:39:03 +0000

panko (3.0.0-0ubuntu2) artful; urgency=medium

  * d/panko-common.postinst: Drop db sync (LP: #1713059).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 29 Aug 2017 10:48:01 -0400

panko (3.0.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/sqla-version.patch: Dropped. Fixed upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Aug 2017 11:48:49 -0400

panko (2.0.2-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/p/sqla-version.patch: Lift upper constraint on sqlalchemy.

 -- James Page <james.page@ubuntu.com>  Fri, 05 May 2017 15:06:46 -0400

panko (2.0.1-0ubuntu2) artful; urgency=medium

  * No-change rebuild for sqlalchemy 1.1.x.

 -- James Page <james.page@ubuntu.com>  Thu, 04 May 2017 08:08:51 -0400

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,14 @@
 Section: python
 Priority: optional
 Maintainer: Chuck Short <zuclss@ubuntu.com>
-Build-Depends: debhelper (>= 9), dh-python, python-all, python-setuptools, python-all, python-pbr,
- dh-systemd, dh-apache2, openstack-pkg-tools,
+Build-Depends: debhelper (>= 9),
+               dh-apache2,
+               dh-python,
+               dh-systemd,
+               openstack-pkg-tools,
+               python-all,
+               python-pbr (>= 2.0.0),
+               python-setuptools,
 Build-Depends-Indep: python-coverage (>= 3.6),
                      python-dateutil (>= 2.4.2),
                      python-debtcollector (>= 1.2.0),
@@ -14,6 +20,7 @@
                      python-keystonemiddleware (>= 4.0.0),
                      python-lxml (>= 2.3),
                      python-mock (>= 1.2),
+                     python-openstackdocstheme (>= 1.11.0),
                      python-os-testr (>= 0.4.1),
                      python-oslo.config (>= 1:3.9.0),
                      python-oslo.db (>= 4.1.0),
@@ -23,8 +30,8 @@
                      python-oslo.policy (>= 0.5.0),
                      python-oslo.reports (>= 0.6.0),
                      python-oslo.utils (>= 3.5.0),
-                     python-oslosphinx (>= 2.5.0),
                      python-oslotest (>= 1.10.0),
+                     python-paste,
                      python-pastedeploy (>= 1.5.0),
                      python-pecan (>= 1.0.0),
                      python-psycopg2 (>= 2.5),
@@ -63,6 +70,7 @@
          python-oslo.policy (>= 0.5.0),
          python-oslo.reports (>= 0.6.0),
          python-oslo.utils (>= 3.5.0),
+         python-paste,
          python-pastedeploy (>= 1.5.0),
          python-pecan (>= 1.0.0),
          python-six (>= 1.9.0),

## panko 3.1.0

=== requirements.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 debtcollector>=1.2.0  # Apache-2.0
 tenacity>=3.1.0 # Apache-2.0
-keystonemiddleware!=4.1.0,>=4.0.0 # Apache-2.0
+keystonemiddleware!=4.1.0,!=4.19.0,>=4.0.0 # Apache-2.0
 lxml>=2.3 # BSD
 oslo.db>=4.1.0 # Apache-2.0
 oslo.config>=3.9.0 # Apache-2.0

=== debian/changelog ===
panko (3.1.0-6) unstable; urgency=medium

  * Fixed Python 3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Mar 2018 18:56:16 +0000

panko (3.1.0-5) unstable; urgency=medium

  * Switched to openstack-pkg-tools >= 70~ shared debconf templates.

 -- Thomas Goirand <zigo@debian.org>  Wed, 07 Mar 2018 09:35:41 +0000

panko (3.1.0-4) unstable; urgency=medium

  * Team upload.
  * Breaks+Replaces: python-panko (<< 3.1.0-3) (Closes: #892050)

 -- Ondřej Nový <onovy@debian.org>  Mon, 05 Mar 2018 10:36:30 +0100

panko (3.1.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * Switched to Python 3.

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Feb 2018 01:04:54 +0100

panko (3.1.0-2) unstable; urgency=medium

  * Fixed panko-api to use uwsgi.

 -- Thomas Goirand <zigo@debian.org>  Wed, 31 Jan 2018 12:10:59 +0100

panko (3.1.0-1) unstable; urgency=low

  * Initial release (Closes: #888934).

 -- Thomas Goirand <zigo@debian.org>  Wed, 31 Jan 2018 11:16:36 +0100

=== debian/control ===
Source: panko
Section: net
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 70~),
 po-debconf,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python3-coverage,
 python3-dateutil,
 python3-debtcollector,
 python3-elasticsearch,
 python3-fixtures,
 python3-gabbi,
 python3-keystonemiddleware,
 python3-lxml,
 python3-mock,
 python3-openstackdocstheme (>= 1.11.0),
 python3-os-testr,
 python3-oslo.config,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.reports,
 python3-oslo.utils,
 python3-oslotest,
 python3-paste,
 python3-pastedeploy,
 python3-pecan,
 python3-psycopg2,
 python3-pymongo,
 python3-pymysql,
 python3-six,
 python3-sphinxcontrib-pecanwsme,
 python3-sphinxcontrib.httpdomain,
 python3-sqlalchemy,
 python3-sqlalchemy-utils,
 python3-stevedore,
 python3-tempest,
 python3-tenacity,
 python3-testtools,
 python3-webob,
 python3-webtest,
 python3-wsme,
 python3-yaml,
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/services/panko
Vcs-Git: https://salsa.debian.org/openstack-team/services/panko.git
Homepage: https://github.com/openstack/panko

Package: panko-api
Architecture: all
Depends:
 adduser,
 debconf,
 panko-common (= ${binary:Version}),
 python3-keystoneclient,
 python3-openstackclient,
 python3-pastescript,
 q-text-as-data,
 uwsgi-plugin-python,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Recommends:
 python3-pankoclient,
Description: Event storage dispatcher for Ceilometer - API server
 The Panko project is an event storage service that provides the ability to
 store and querying event data generated by Ceilometer with potentially other
 sources.
 .
 Panko is a component of the Telemetry project.
 .
 This package contains the Panko API server.

Package: panko-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-panko (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: Event storage dispatcher for Ceilometer - common files
 The Panko project is an event storage service that provides the ability to
 store and querying event data generated by Ceilometer with potentially other
 sources.
 .
 Panko is a component of the Telemetry project.
 .
 This package contains common files for Panko.

Package: panko-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Event storage dispatcher for Ceilometer - Documentation
 The Panko project is an event storage service that provides the ability to
 store and querying event data generated by Ceilometer with potentially other
 sources.
 .
 Panko is a component of the Telemetry project.
 .
 This package contains the documentation.

Package: python3-panko
Architecture: all
Section: python
Depends:
 python3-dateutil,
 python3-debtcollector,
 python3-keystonemiddleware,
 python3-lxml,
 python3-oslo.config,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.reports,
 python3-oslo.utils,
 python3-paste,
 python3-pastedeploy,
 python3-pbr (>= 2.0.0),
 python3-pecan,
 python3-six,
 python3-sqlalchemy,
 python3-stevedore,
 python3-tenacity,
 python3-webob,
 python3-wsme,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python-panko (<< 3.1.0-3),
Replaces:
 python-panko (<< 3.1.0-3),
Description: Event storage dispatcher for Ceilometer - Python library
 The Panko project is an event storage service that provides the ability to
 store and querying event data generated by Ceilometer with potentially other
 sources.
 .
 Panko is a component of the Telemetry project.
 .
 This package contains the Python libraries.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc,systemd

override_dh_auto_clean:
	python3 setup.py clean
	find . -iname '*.pyc' -delete
	rm -rf doc/build
	rm -f debian/panko-common.config debian/panko-common.postinst
	rm -f debian/panko-api.config debian/panko-api.postinst
	rm -f debian/*.init debian/*.upstart debian/*.service
	rm -rf build

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func panko-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func panko-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func panko-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func panko-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm panko-common.postrm
	pkgos-merge-templates panko-api panko endpoint
	pkgos-merge-templates panko-common panko db rabbit ksat

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_test:

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'panko\.tests\.unit\.*'
endif

	# Generate all config files
	mkdir -p $(CURDIR)/debian/panko-common/usr/share/panko-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslo-config-generator \
		--output-file $(CURDIR)/debian/panko-common/usr/share/panko-common/panko.conf \
		--namespace panko \
		--namespace oslo.db \
		--namespace oslo.log \
		--namespace oslo.middleware.cors \
		--namespace oslo.middleware.http_proxy_to_wsgi \
		--namespace oslo.policy \
		--namespace keystonemiddleware.auth_token
	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/panko-common/usr/share/panko-common/panko.conf keystone_authtoken panko

	pkgos-fix-config-default $(CURDIR)/debian/panko-common/etc/panko/panko.conf database backend sqlalchemy
	pkgos-fix-config-default $(CURDIR)/debian/panko-common/etc/panko/panko.conf database connection sqlite:////var/lib/panko/sqlite.db

	pkgos-fix-config-default $(CURDIR)/debian/panko-common/usr/share/panko-common/panko.conf oslo_concurrency lock_path /var/lock/panko

	dh_install
	dh_missing --fail-missing

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx $(SPHINXOPTS) -b html doc/source $(CURDIR)/debian/panko-doc/usr/share/doc/panko-doc/html
	touch $(CURDIR)/debian/panko-doc/usr/share/doc/panko-doc/html/_static/toggle.js
	dh_sphinxdoc
endif

override_dh_installman:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx $(SPHINXOPTS) -b man doc/source doc/build/man
	dh_installman
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## panko 4.0.0

=== requirements.txt ===
--- 
+++ 
@@ -24,6 +24,7 @@
 stevedore>=1.9.0 # Apache-2.0
 WebOb>=1.2.3 # MIT
 WSME>=0.8 # MIT
+alembic>=0.7.6,!=0.8.1,!=0.9.0
 # NOTE(jd) We do not import it directly, but WSME datetime string parsing
 # behaviour changes when this library is installed
 python-dateutil>=2.4.2 # BSD

=== debian/changelog ===
panko (4.0.0-0ubuntu1) bionic; urgency=medium

  * New upstream snapshot for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.
  * d/control: Bumped Standards-Version to 4.1.2.
  * d/p/*: Dropped, no longer needed.
  * d/control: Bump minimum debhelper version to 10, drop BD on dh-
    systemd.
  * d/copyright: Tidy.
  * d/rules,test-blacklist.txt: Blacklist functional tests for package
    build.
  * New upstream release for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Switch to python3-sphinx.
  * d/panko-common.install: Drop install of policy.json.

 -- James Page <james.page@ubuntu.com>  Tue, 13 Feb 2018 10:16:45 +0000

=== debian/control ===
Source: panko
Section: python
Priority: optional
Maintainer: Chuck Short <zuclss@ubuntu.com>
Build-Depends:
 debhelper (>= 10~),
 dh-apache2,
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
Build-Depends-Indep:
 python-coverage (>= 3.6),
 python-dateutil (>= 2.4.2),
 python-debtcollector (>= 1.2.0),
 python-elasticsearch (>= 1.3.0),
 python-fixtures (>= 1.3.1),
 python-gabbi (>= 1.11.0),
 python-happybase (>= 0.5),
 python-keystonemiddleware (>= 4.17.0),
 python-lxml (>= 2.3),
 python-mock (>= 2.0.0),
 python-openstackdocstheme (>= 1.18.1),
 python-os-testr (>= 1.0.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.db (>= 4.27.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.middleware (>= 3.31.0),
 python-oslo.policy (>= 1.30.0),
 python-oslo.reports (>= 0.6.0),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 1.10.0),
 python-paste,
 python-pastedeploy (>= 1.5.0),
 python-pecan (>= 1.0.0),
 python-psycopg2 (>= 2.5),
 python-pymongo (>= 3.0.2),
 python-pymysql (>= 0.6.2),
 python-six (>= 1.10.0),
 python3-sphinx (>= 1.1.2),
 python3-sphinxcontrib-pecanwsme (>= 0.8),
 python-sqlalchemy (>= 1.0.10),
 python-sqlalchemy-utils,
 python-stevedore (>= 1.9.0),
 python-tempest (>= 1:11.0.0),
 python-tenacity (>= 3.1.0),
 python-testrepository (>= 0.0.18),
 python-testtools (>= 2.2.0),
 python-webob (>= 1:1.7.1),
 python-webtest (>= 2.0),
 python-wsme (>= 0.8),
 python-yaml (>= 3.1.0),
Standards-Version: 4.1.2
Homepage: https://launchpad.net/panko
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
XS-Testsuite: autopkgtest

Package: panko-api
Architecture: all
Depends:
 apache2 | httpd,
 libapache2-mod-wsgi,
 panko-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
Description: Event storage dispatcher for Ceilometer (Python 2)
 Event storage dispatcher for Ceilometer.
 .
 This package container the api service

Package: panko-common
Architecture: all
Depends:
 adduser,
 python-panko (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
Provides:
 ${python:Provides},
Description: panko common files
 Event storage dispatcher for Ceilometer.
 .
 This package contains files that are needed for all parts of ceilometer

Package: python-panko
Architecture: all
Depends:
 python-dateutil,
 python-debtcollector (>= 1.2.0),
 python-keystonemiddleware (>= 4.17.0),
 python-lxml (>= 2.3),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.db (>= 4.27.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.middleware (>= 3.31.0),
 python-oslo.policy (>= 1.30.0),
 python-oslo.reports (>= 0.6.0),
 python-oslo.utils (>= 3.33.0),
 python-paste,
 python-pastedeploy (>= 1.5.0),
 python-pecan (>= 1.0.0),
 python-six (>= 1.10.0),
 python-sqlalchemy (>= 1.0.10),
 python-stevedore (>= 1.9.0),
 python-tenacity (>= 3.1.0),
 python-webob (>= 1:1.7.1),
 python-wsme (>= 0.8),
 python-yaml (>= 3.1.0),
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-panko-doc,
Description: Event storage dispatcher for Ceilometer (Python 2)
 Event storage dispatcher for Ceilometer.
 .
 This package installs the library for Python 2.7

Package: python-panko-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Event storage dispatcher for Ceilometer. (common documentation)
 Event storage dispatcher for Ceilometer
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

%:
	dh $@ --with python2

override_dh_install:
	PYTHONPATH=$(CURDIR) oslo-config-generator --config-file=etc/panko/panko-config-generator.conf
	dh_install --fail-missing
	pkgos-fix-config-default $(CURDIR)/debian/panko-common/etc/panko/panko.conf database backend sqlalchemy
	pkgos-fix-config-default $(CURDIR)/debian/panko-common/etc/panko/panko.conf database connection \
		sqlite:////var/lib/panko/sqlite.db


ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	testr init
	OS_TEST_PATH=./panko/tests/unit testr run
endif

override_dh_auto_clean:
	rm -rf .testrepository

=== debian/tests/control ===
Tests: panko-daemons, python-panko
Depends: panko-api, python-panko
Restrictions: needs-root

## panko 5.0.0

=== debian/changelog ===
panko (5.0.0-5) unstable; urgency=medium

  * Add debian/panko-common.cron.d.

 -- Thomas Goirand <zigo@debian.org>  Thu, 31 Jan 2019 11:40:52 +0100

panko (5.0.0-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast
  * d/changelog: Remove trailing whitespaces

  [ Thomas Goirand ]
  * Use the openstack-pkg-tools standard system for uwsgi.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Jan 2019 17:51:57 +0100

panko (5.0.0-3) unstable; urgency=medium

  * Correctly call pkgos_dbc_postrm (Closes: #905512).

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Jan 2019 10:02:55 +0100

panko (5.0.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Purge /etc/panko/api_paste.ini on purge (Closes: #905512).

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Aug 2018 11:21:57 +0200

panko (5.0.0-1) experimental; urgency=medium

  [ Thomas Goirand ]
  * Fixed startup description.
  * Fixed panko-api log filename.
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Generate the policy.conf file.

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

 -- Thomas Goirand <zigo@debian.org>  Tue, 12 Jun 2018 15:18:12 +0200

=== debian/control ===
Source: panko
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 70~),
 po-debconf,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 alembic,
 python3-alembic,
 python3-coverage,
 python3-dateutil,
 python3-debtcollector,
 python3-elasticsearch,
 python3-fixtures,
 python3-gabbi,
 python3-keystonemiddleware,
 python3-lxml,
 python3-mock,
 python3-openstackdocstheme (>= 1.11.0),
 python3-os-testr,
 python3-oslo.config,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.reports,
 python3-oslo.utils,
 python3-oslotest,
 python3-paste,
 python3-pastedeploy,
 python3-pecan,
 python3-psycopg2,
 python3-pymongo,
 python3-pymysql,
 python3-six,
 python3-sphinxcontrib-pecanwsme,
 python3-sphinxcontrib.httpdomain,
 python3-sqlalchemy,
 python3-sqlalchemy-utils,
 python3-stestr (>= 2.0.0),
 python3-stevedore,
 python3-tenacity,
 python3-testtools,
 python3-webob,
 python3-webtest,
 python3-wsme,
 python3-yaml,
 subunit,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/services/panko
Vcs-Git: https://salsa.debian.org/openstack-team/services/panko.git
Homepage: https://github.com/openstack/panko

Package: panko-api
Architecture: all
Depends:
 adduser,
 debconf,
 panko-common (= ${binary:Version}),
 python3-keystoneclient,
 python3-openstackclient,
 python3-pastescript,
 q-text-as-data,
 uwsgi-plugin-python,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Recommends:
 python3-pankoclient,
Description: Event storage dispatcher for Ceilometer - API server
 The Panko project is an event storage service that provides the ability to
 store and querying event data generated by Ceilometer with potentially other
 sources.
 .
 Panko is a component of the Telemetry project.
 .
 This package contains the Panko API server.

Package: panko-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-panko (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: Event storage dispatcher for Ceilometer - common files
 The Panko project is an event storage service that provides the ability to
 store and querying event data generated by Ceilometer with potentially other
 sources.
 .
 Panko is a component of the Telemetry project.
 .
 This package contains common files for Panko.

Package: panko-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Event storage dispatcher for Ceilometer - Documentation
 The Panko project is an event storage service that provides the ability to
 store and querying event data generated by Ceilometer with potentially other
 sources.
 .
 Panko is a component of the Telemetry project.
 .
 This package contains the documentation.

Package: python3-panko
Architecture: all
Section: python
Depends:
 alembic,
 python3-alembic,
 python3-dateutil,
 python3-debtcollector,
 python3-keystonemiddleware,
 python3-lxml,
 python3-oslo.config,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.reports,
 python3-oslo.utils,
 python3-paste,
 python3-pastedeploy,
 python3-pbr (>= 2.0.0),
 python3-pecan,
 python3-six,
 python3-sqlalchemy,
 python3-stevedore,
 python3-tenacity,
 python3-webob,
 python3-wsme,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python-panko (<< 3.1.0-3),
Replaces:
 python-panko (<< 3.1.0-3),
Description: Event storage dispatcher for Ceilometer - Python library
 The Panko project is an event storage service that provides the ability to
 store and querying event data generated by Ceilometer with potentially other
 sources.
 .
 Panko is a component of the Telemetry project.
 .
 This package contains the Python libraries.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc,systemd

override_dh_auto_clean:
	python3 setup.py clean
	find . -iname '*.pyc' -delete
	rm -rf doc/build
	rm -f debian/panko-common.config debian/panko-common.postinst
	rm -f debian/panko-api.config debian/panko-api.postinst
	rm -f debian/*.init debian/*.upstart debian/*.service
	rm -rf build

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func panko-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func panko-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func panko-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func panko-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm panko-common.postrm
	pkgos-merge-templates panko-api panko endpoint
	pkgos-merge-templates panko-common panko db rabbit ksat

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_test:

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'panko\.tests\.unit\.*'
endif

	# Generate all config files
	mkdir -p $(CURDIR)/debian/panko-common/usr/share/panko-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslo-config-generator \
		--output-file $(CURDIR)/debian/panko-common/usr/share/panko-common/panko.conf \
		--namespace panko \
		--namespace oslo.db \
		--namespace oslo.log \
		--namespace oslo.middleware.cors \
		--namespace oslo.middleware.http_proxy_to_wsgi \
		--namespace oslo.policy \
		--namespace keystonemiddleware.auth_token
	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/panko-common/usr/share/panko-common/panko.conf keystone_authtoken panko

	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/panko-common/usr/share/panko-common/policy.json \
		--format json \
		--namespace panko

	pkgos-fix-config-default $(CURDIR)/debian/panko-common/etc/panko/panko.conf database backend sqlalchemy
	pkgos-fix-config-default $(CURDIR)/debian/panko-common/etc/panko/panko.conf database connection sqlite:////var/lib/panko/sqlite.db

	pkgos-fix-config-default $(CURDIR)/debian/panko-common/usr/share/panko-common/panko.conf oslo_concurrency lock_path /var/lock/panko

	dh_install
	dh_missing --fail-missing

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx $(SPHINXOPTS) -b html doc/source $(CURDIR)/debian/panko-doc/usr/share/doc/panko-doc/html
	touch $(CURDIR)/debian/panko-doc/usr/share/doc/panko-doc/html/_static/toggle.js
	dh_sphinxdoc
endif

override_dh_installman:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx $(SPHINXOPTS) -b man doc/source doc/build/man
	dh_installman
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/panko/tags .*/(\d[\d\.]+)\.tar\.gz

## panko 6.0.0

=== debian/changelog ===
panko (6.0.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 12 Apr 2019 10:39:08 +0100

panko (6.0.0~rc1-0ubuntu1) disco; urgency=medium

  * New upstream release candidate for OpenStack Stein.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 25 Mar 2019 13:54:09 -0400

panko (6.0.0~b1~git2019031902.97a72ebe-0ubuntu1) disco; urgency=medium

  [ Corey Bryant ]
  * d/panko-common.postinst: Change /etc/panko to 0750 root:panko and drop
    duplicate chown.

  [ James Page ]
  * New upstream snapshot for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Tue, 19 Mar 2019 11:19:45 +0000

panko (6.0.0~b1~git2018111913.2a5e73c7-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Ensure python3 shebangs are set to /usr/bin/python3.
  * d/control,rules,python*,d/tests/*: Drop Python 2 support.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 19 Nov 2018 13:48:23 -0500

panko (5.0.0-0ubuntu6) disco; urgency=medium

  * d/tests/panko-shebangs-py3: Update shebang for Python 3.7.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 07 Nov 2018 09:29:26 -0500

panko (5.0.0-0ubuntu5) cosmic; urgency=medium

  * d/tests/control: Add curl to Depends to fix arm64/armhf failures.
  * d/tests/panko-daemons: Add final curl call without --fail option
    to ensure it doesn't fail silently.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Sep 2018 08:10:05 -0400

panko (5.0.0-0ubuntu4) cosmic; urgency=medium

  * d/panko-api.apache2, d/panko-common.apache2: Move back to panko-api
    package where apache2 dependencies are installed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Aug 2018 09:43:54 -0400

panko (5.0.0-0ubuntu3) cosmic; urgency=medium

  * Additional support for Python 3:
    - d/control, d/panko-*: Move common files to panko-common. Only have
      python(3)-panko depend on panko-common. Other packages that used to
      depend on panko-common now depend on python-panko | python3-panko.
    - d/control: Drop python(3)-panko conflicts on each other.
    - d/python(3)-panko.postinst: Ensure alternatives priority is 300
      for Py2 and 200 for Py3.
    - d/tests/control: Run Py3 tests first due to alternatives priority.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 27 Aug 2018 15:36:27 -0400

panko (5.0.0-0ubuntu2) cosmic; urgency=medium

  * Add support for Python 3:
    - d/control: Add Py3 BDs and python3-panko package.
    - d/control: Support Py2 first and Py3 as alternative.
    - d/control: Move all python deps to python(3)-panko Depends.
    - d/control: Make python(3)-panko conflict against each other.
    - d/control: Drop obsolete XS-Testsuite: autopkgtest header.
    - d/control, d/tests/*: Enable autopkgtest-pkg-python testsuite.
    - d/rules: Add Py3 support.
    - d/rules: Use pkgos-dh_auto_install as this helps name binaries for
      update-alternatives.
    - d/rules: Run tests with pkgos-dh_auto_test.
    - d/python-panko.install: Dropped, not needed.
    - d/panko-*.install: Drop usr/bin/* as pkgos-dh_auto_install handles
      install of those files.
    - d/python(3)-panko.post*, d/python(3)-panko.prerm: Add update-alternatives
      to enable correct shebangs for Python binaries.
    - d/tests/*: Enable Py3 tests for panko daemons and add shebang tests.
    - d/tests/panko-daemons: Use curl to test API.
    - d/panko-api.conf: Ensure permissions are granted for wsgi script.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 24 Aug 2018 14:02:33 -0400

panko (5.0.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Run tests with stestr via pkgos-dh_auto_test.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 08 Aug 2018 13:56:35 -0400

=== debian/control ===
Source: panko
Section: python
Priority: optional
Maintainer: Chuck Short <zuclss@ubuntu.com>
Build-Depends:
 apache2-dev,
 debhelper (>= 10~),
 dh-apache2,
 dh-python,
 openstack-pkg-tools (>= 85ubuntu3~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
 python3-sphinxcontrib.httpdomain,
 python3-sphinxcontrib-pecanwsme (>= 0.8),
Build-Depends-Indep:
 python3-alembic (>= 0.7.6),
 python3-coverage (>= 3.6),
 python3-dateutil (>= 2.4.2),
 python3-debtcollector (>= 1.2.0),
 python3-elasticsearch (>= 1.3.0),
 python3-fixtures (>= 1.3.1),
 python3-gabbi (>= 1.11.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-lxml (>= 2.3),
 python3-mock (>= 1.2),
 python3-openstackdocstheme (>= 1.11.0),
 python3-os-testr (>= 0.4.1),
 python3-oslo.config (>= 1:3.9.0),
 python3-oslo.db (>= 4.1.0),
 python3-oslo.i18n (>= 2.1.0),
 python3-oslo.log (>= 1.14.0),
 python3-oslo.middleware (>= 3.10.0),
 python3-oslo.policy (>= 0.5.0),
 python3-oslo.reports (>= 0.6.0),
 python3-oslo.utils (>= 3.5.0),
 python3-oslotest (>= 1:1.10.0),
 python3-paste,
 python3-pastedeploy (>= 1.5.0),
 python3-pecan (>= 1.0.0),
 python3-psycopg2 (>= 2.5),
 python3-pymongo (>= 3.0.2),
 python3-pymysql (>= 0.6.2),
 python3-reno,
 python3-six (>= 1.9.0),
 python3-stestr (>= 2.0.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-sqlalchemy-utils,
 python3-stevedore (>= 1:1.9.0),
 python3-tempest (>= 1:11.0.0),
 python3-tenacity (>= 3.1.0),
 python3-testrepository (>= 0.0.18),
 python3-testtools (>= 1.4.0),
 python3-webob (>= 1:1.2.3),
 python3-webtest (>= 2.0),
 python3-wsme (>= 0.8),
 python3-yaml (>= 3.1.0),
Standards-Version: 4.1.2
Homepage: https://launchpad.net/panko
Testsuite: autopkgtest-pkg-python

Package: panko-api
Architecture: all
Depends:
 apache2 | httpd,
 libapache2-mod-wsgi-py3,
 python3-panko (= ${binary:Version}),
 ${misc:Depends},
Description: Event storage dispatcher for Ceilometer
 Event storage dispatcher for Ceilometer.
 .
 This package container the api service

Package: python3-panko
Architecture: all
Depends:
 panko-common (= ${binary:Version}),
 python3-alembic (>= 0.7.6),
 python3-dateutil (>= 2.4.2),
 python3-debtcollector (>= 1.2.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-lxml (>= 2.3),
 python3-oslo.config (>= 1:3.9.0),
 python3-oslo.db (>= 4.1.0),
 python3-oslo.i18n (>= 2.1.0),
 python3-oslo.log (>= 1.14.0),
 python3-oslo.middleware (>= 3.10.0),
 python3-oslo.policy (>= 0.5.0),
 python3-oslo.reports (>= 0.6.0),
 python3-oslo.utils (>= 3.5.0),
 python3-paste,
 python3-pastedeploy (>= 1.5.0),
 python3-pbr (>= 2.0.0),
 python3-pecan (>= 1.0.0),
 python3-six (>= 1.9.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-stevedore (>= 1:1.9.0),
 python3-tenacity (>= 3.1.0),
 python3-webob (>= 1:1.2.3),
 python3-wsme (>= 0.8),
 python3-yaml (>= 3.1.0),
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Suggests:
 python-panko-doc,
Description: Event storage dispatcher for Ceilometer (Python 3)
 Event storage dispatcher for Ceilometer.
 .
 This package installs the library for Python 3

Package: python-panko-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Event storage dispatcher for Ceilometer. (common documentation)
 Event storage dispatcher for Ceilometer
 .
 This is the common documentation package.

Package: panko-common
Architecture: all
Depends:
 adduser,
 ${misc:Depends},
Breaks:
 panko-api (<< 5.0.0-0ubuntu3~),
Replaces:
 panko-api (<< 5.0.0-0ubuntu3~),
Description: panko common files
 Event storage dispatcher for Ceilometer.
 .
 This package contains files that are needed for all parts of panko.

## panko 7.0.0

=== requirements.txt ===
--- 
+++ 
@@ -17,6 +17,7 @@
 pbr>=2.0.0 # Apache-2.0
 pecan>=1.0.0 # BSD
 oslo.middleware>=3.10.0 # Apache-2.0
+oslo.serialization>=2.25.0 # Apache-2.0
 oslo.utils>=3.5.0 # Apache-2.0
 PyYAML>=3.1.0 # MIT
 six>=1.9.0 # MIT
@@ -28,3 +29,6 @@
 # NOTE(jd) We do not import it directly, but WSME datetime string parsing
 # behaviour changes when this library is installed
 python-dateutil>=2.4.2 # BSD
+happybase!=0.7,!=1.0.0;python_version=='2.7'  # MIT
+pymongo!=3.1  # Apache-2.0
+elasticsearch<3.0.0  # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7' # BSD
sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2;python_version>='3.4' # BSD
openstackdocstheme>=1.20.0 # Apache-2.0
sphinxcontrib-pecanwsme>=0.8.0 # Apache-2.0
sphinxcontrib-httpdomain>=1.6.1 # BSD
reno>=2.7.0 # Apache-2.0

=== debian/changelog ===
panko (7.0.0-0ubuntu1) eoan; urgency=medium

  * New stable point release for OpenStack Train.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 16 Oct 2019 17:24:43 +0100

panko (7.0.0~rc1-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.

 -- James Page <james.page@ubuntu.com>  Thu, 26 Sep 2019 14:54:25 +0100

panko (7.0.0~b2~git2019073019.07f2d20b-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Tue, 30 Jul 2019 19:03:32 +0200

panko (7.0.0~b1~git2019062010.789f7c3e-0ubuntu1) eoan; urgency=medium

  * New upstream release 7.0.0~b1.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Tue, 25 Jun 2019 09:38:15 +0100

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
  python3-elasticsearch (>= 1.3.0),
  python3-fixtures (>= 1.3.1),
  python3-gabbi (>= 1.11.0),
- python3-keystonemiddleware (>= 4.17.0),
+ python3-keystonemiddleware (>= 4.0.0),
  python3-lxml (>= 2.3),
  python3-mock (>= 1.2),
  python3-openstackdocstheme (>= 1.11.0),
@@ -82,7 +82,7 @@
  python3-alembic (>= 0.7.6),
  python3-dateutil (>= 2.4.2),
  python3-debtcollector (>= 1.2.0),
- python3-keystonemiddleware (>= 4.17.0),
+ python3-keystonemiddleware (>= 4.0.0),
  python3-lxml (>= 2.3),
  python3-oslo.config (>= 1:3.9.0),
  python3-oslo.db (>= 4.1.0),

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

%:
	dh $@ --with apache2,python3

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_install:
	PYTHONPATH=$(CURDIR) oslo-config-generator --config-file=etc/panko/panko-config-generator.conf
	dh_install --fail-missing
	pkgos-fix-config-default $(CURDIR)/debian/panko-common/etc/panko/panko.conf database backend sqlalchemy
	pkgos-fix-config-default $(CURDIR)/debian/panko-common/etc/panko/panko.conf database connection \
		sqlite:////var/lib/panko/sqlite.db


ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	OS_TEST_PATH=./panko/tests/unit pkgos-dh_auto_test --no-py2
endif

override_dh_auto_clean:
	rm -rf .testrepository

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/tests/control ===
Tests: panko-daemons
Depends: panko-api, curl
Restrictions: needs-root

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/panko panko-(\d.*)\.tar\.gz
